Printago API
POST
/v1/integrations/ebay/{integrationId}/sync-orders
Sync eBay orders
Manually sync orders from eBay
Path Parameters
integrationId
required
string
The eBay integration ID
Query Parameters
includeShipped
required
string
Include shipped orders (for testing)
limit
required
string
Number of orders to sync
Response Schema
Response
ordersrequired
object[]
cancelledAtoptional
string
createdAtrequired
string
format: date-time
currencyoptional
string
customerIdoptional
string
deadlineoptional
string
externalIdoptional
string
externalUrloptional
string
idrequired
string
pattern: ^[a-z0-9]{24}$
integrationIdoptional
string
noteoptional
string
orderNumberrequired
string
priceoptional
number
priceBucketoptional
number
processedAtoptional
string
shippedAtoptional
string
sourceoptional
any
sourceRefoptional
string
statusrequired
any
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
syncDisabledrequired
boolean
updatedAtrequired
string
format: date-time
skippedrequired
number
totalAvailablerequired
number
totalSyncedrequired
number
Example Response
201 OK — application/json
{
"orders": [
{
"orderNumber": "string",
"syncDisabled": true,
"id": "string",
"storeId": "string",
"createdAt": "2026-08-24T03:58:55.401Z",
"updatedAt": "2026-08-24T03:58:55.401Z"
}
],
"totalSynced": 1,
"totalAvailable": 1,
"skipped": 1
}